Skip to main content
Resource Center/Hardware/Zone Operations
DELETEZone OperationsSince 0.6SynchronousAuth Required

DeleteZone

DeleteZone

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • deleteModeString

    Optional. The delete mode. Options: Permissive | Enforcing. Default mode: Permissive. Permissive: If an error occurs, or if the delete operation is refused, ZStack Cloud will stop the delete operation. In this mode, an error code that contains the failure reason will be returned. Enforcing: ZStack Cloud will ignore all errors and permissions to delete directly the resource. In this mode, the delete operation will always succeed.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/zones/{uuid}?deleteMode={deleteMode}

/zstack/v1/zones/{uuid}?deleteMode={deleteMode}

Operation ID

DeleteZone

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/zones/{uuid}?deleteMode={deleteMode}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"deleteMode":"<deleteMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history